%{?nodejs_find_provides_and_requires}
Name:                nodejs-ansi-font
Version:             0.0.2
Release:             1
Summary:             ANSI font styling utils
License:             MIT
URL:                 https://github.com/gozala/ansi-font
Source0:             https://github.com/gozala/ansi-font/archive/v%{version}.tar.gz
Source1:             LICENSE-MIT.txt
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%description
ANSI font styling utils.

%prep
%autosetup -n ansi-font-%{version}
rm -rf node_modules
cp -pr %{SOURCE1} .

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/ansi-font
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/ansi-font
%nodejs_symlink_deps

%files
%{!?_licensedir:%global license %doc}
%doc Readme.md History.md
%license LICENSE-MIT.txt
%{nodejs_sitelib}/ansi-font

%changelog
* Thu Aug 20 2020 huanghaitao <huanghaitao8@huawei.com> - 0.0.2-1
- package init
